@inproceedings{deyati_atomic_2014,
 abstract = {As RF design scales to the 28nm technology node and beyond, pre-silicon simulation and verification of complex mixed-signal/RF SoCs is becoming intractable due to the difficulties associated with simulating diverse electrical effects and design bugs. As a consequence, there is increasing pressure to develop comprehensive post-silicon test and debug tools that can be used to identify design bugs and improve modeling of complex electrical nonidealities observed in silicon. Often, it is not known a-priori what these bugs are and how they can be modeled, significantly complicating the debug process. In this research, a new atomic model learning approach is proposed that uses supervised learning techniques to diagnose design bugs and learn unknown module-level behaviors. Nonideality modeling artifacts called model atoms are inserted into different nodes of the design signal flow paths to learn unknown behaviors along those paths. Under the assumption that the design bug is localized, it is shown that the source of the bug can be identified with high resolution even when the nature of the bug is unknown. The method has been applied to a conventional wireless as well as a polar radio transmitter and key results that demonstrate usefulness and feasibility of the proposed approach are presented.},
 author = {Deyati, S. and Muldrey, B. J. and Banerjee, A. and Chatterjee, A.},
 booktitle = {2014 IEEE 32nd VLSI Test Symposium (VTS)},
 doi = {10.1109/VTS.2014.6818791},
 file = {/home/bjmuld/archive/app-data/Zotero/storage/CNK4I7PW/Deyati et al. - 2014 - Atomic model learning A machine learning paradigm.html},
 keywords = {analog circuits,analogue integrated circuits,Artificial neural networks,atomic model learning,design bug diagnosis,electronic engineering computing,Fault diagnosis,integrated circuit design,Integrated circuit modeling,integrated circuit modelling,learning (artificial intelligence),machine learning paradigm,Mathematical model,mixed-signal SoC,Mixers,Model checking,module level behavior,post silicon debug,Power amplifiers,Preamplifiers,Radio frequency,Radio transmitters,radiofrequency integrated circuits,RF circuits,RF SoC,supervised learning,Tuning},
 month = {April},
 pages = {1--6},
 shorttitle = {Atomic Model Learning},
 title = {Atomic Model Learning: A Machine Learning Paradigm for Post Silicon Debug of RF/Analog Circuits},
 year = {2014}
}

